<div class="face-snap-card" [ngClass]="{ snapped: buttonText === 'dont like!' }">
    <h1>{{faceSnap.title | uppercase }}</h1>
    <a routerLink="/facesnaps">Back</a>
    <img [src]="faceSnap.imageURL" [alt]="faceSnap.title">
    <h3>{{faceSnap.decription | titlecase}}</h3>
    <p *ngIf="faceSnap.location">Photo prise à {{faceSnap.location}}</p>
    <p>Mise en ligne le: {{faceSnap.CreationDate | date: 'dd/MM/yy, à HH:mm'}}</p>
    <h3><button (click)="addLike()" >{{buttonText}}</button>
        <span [ngStyle]="{ color: 'rgb(0, ' + faceSnap.likes + ', 0)' }">{{faceSnap.likes}}</span></h3>

    </div>
